2022-07-03 11:25 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005604WHDLoad Installs Gamesslavepublic2022-06-30 20:38
ReporterRetroplay 
Assigned ToPsygoreProject InfoWHDLoad Installs for Games
http://whdload.de/download.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005604: [ChaosInAndromeda] CDTV illegal instruction
DescriptionCDTV slave v1.1.
Crashes immediately with "Illegal Instruction".
Steps To ReproduceJust start game.
Additional InformationI've tried starting with all files as they are copied straight off of the CD and compressed with Pro-Pack 2.08.

Crash register attached.
TagsNo tags attached.
MachineUAE
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROMOther
KickSoftSelfmade
WHDLoad18.7
imported
Attached Files
  • ? file icon .whdl_register (3,564 bytes) 2022-04-23 17:10 -
    ************************* 23-Apr-22 16:54:50 ************************18.7.6366***
    Slave='ChaosInAndromedaCDTV.Slave' (4744 bytes)
    Resload   47F4A2B0 - 47F51EF8 (  31816) at 47F4A2B0  GL=$47FF2878
    Slave     47FFA728 - 47FFB98C (   4708) at 47FFA728  BaseMemSize=$100000
    ExpMem    47F52000 - 47FF2000 ( 655360) at 47F52000
    attn=207(UAE,30) fc=-1 kn=23100 cs=EE94 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3D(SCB,ECB,BNC)
    
    Exception "Illegal Instruction" ($10) at $47FFB6F2 (Task 'File System', Slave
    $FCA) occurred.
    
    $47ffb6c6 jsr          ($30,a2)                       ;$47f92cd4
    $47ffb6ca lea          ($47ffb736,pc),a4
    $47ffb6ce cmpi.w       #$aa67,d0
    $47ffb6d2 beq.b        $47ffb6e0
    $47ffb6d4 lea          ($47ffb764,pc),a4
    $47ffb6d8 cmpi.w       #$7228,d0
    $47ffb6dc bne.w        $47ffb972
    $47ffb6e0 move.l       a5,a0
    $47ffb6e2 suba.l       a1,a1
    $47ffb6e4 jsr          ($50,a2)                       ;$47f92cf4
    $47ffb6e8 move.l       a4,a0
    $47ffb6ea move.l       a5,a1
    $47ffb6ec jsr          ($64,a2)                       ;$47f92d08
    $47ffb6f0 jmp          (a5)                           ;$47f86134
    1m$47ffb6f2 illegal
    22m$47ffb6f4 cmpi.l       #$63647476,(a0)                ;$47f874f9
    $47ffb6fa bne.b        $47ffb708
    $47ffb6fc move.l       (a0),(a1)                      ;$47f874f9 $47f93390
    $47ffb6fe pea          ($47ffb758,pc)
    $47ffb702 move.l       (a7)+,($14,a1)                 ;$47f934c8 $47f933a4
    $47ffb706 rts
    $47ffb708 jmp          ($47f970ec)
    $47ffb70e cmpi.l       #$63647476,(a1)                ;$47f93390
    $47ffb714 bne.b        $47ffb718
    $47ffb716 rts
    $47ffb718 jmp          ($47f97100)
    $47ffb71e cmpi.l       #$63647476,(a1)                ;$47f93390
    $47ffb724 bne.b        $47ffb72e
    $47ffb726 eori.b       #4,($23,a1)                    ;$47f933b3
    
    exception stackframe:
    $47FF1FF0 000047FF B6F20010
    regular stack:
    $47F934C8 47F864F8 00000000 47F933F0 47F86134 47F86128 47F8646E 46696C65 20537973
    $47F934E8 74656D00 47F7A3FA 0000006C 11FE5EA1 00000000 47F934B8 47F9352C 47F8FBD4
    $47F93508 47F934F4 47F86B88 47F8FBD4 00000000 00000000 47F934F4 47F93514 47F8FBDC
    $47F93528 47F86C06 00000000 00000000 47F934F4 47F931A4 00000000 00000000 00000000
    $47F93548 00000000 00000000 00000000 00000000 00000000 00000000 00000018 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0         0  47F874F9         0         0  47F93390  47F93144        1E
    Ax 47F874F9  47F93390  47F92CA4  47F874BC  47F864B4  47F86134  47F92276
    
                     TTSM III   XNZVC
    PC=47FFB6F222m  SR=%00000000000000001m  USP=47F934C8  ISP=47FF1FF0  MSP=FF800
    VBR=47FF3878  SFC=5  DFC=5  CACR=2000  CAAR=0  TT0=0  TT1=0
    TC=0  CRP=100000000  SRP=100000000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%011000000010110022m dmacon=%1m0010001111110000 adkcon=$1100
    intreq=%0000000001000000
    vposr....A300  vhposr...0175  joy0dat..0103  joy1dat..0000  clxdat...8022  
    pot0dat..7A00  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..20AA  
    deniseid.00F8  hhposr...00BB  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000100022m  tb=C87D<FFFF	   crb=1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000074  icr=00  sdr=00    event=000139  icr=00  sdr=00
    
    ? file icon .whdl_register (3,564 bytes) 2022-04-23 17:10 +
  • ? file icon ChaosInAndromedaCDTV_11a.lha (3,495 bytes) 2022-04-24 12:45

-Relationships
+Relationships

-Notes

note ~0011199

Psygore (manager)

Attachded new CDTV slave: debug code is removed now.

note ~0011200

Retroplay (reporter)

It's working perfect now.
Thank you.
+Notes

-Issue History
Date Modified Username Field Change
2022-04-23 17:10 Retroplay New Issue
2022-04-23 17:10 Retroplay File Added: .whdl_register
2022-04-24 12:45 Psygore File Added: ChaosInAndromedaCDTV_11a.lha
2022-04-24 12:45 Psygore Assigned To => Psygore
2022-04-24 12:45 Psygore Status new => assigned
2022-04-24 12:46 Psygore Note Added: 0011199
2022-04-24 13:13 Retroplay Note Added: 0011200
2022-04-27 14:20 Psygore Status assigned => resolved
2022-04-27 14:20 Psygore Resolution open => fixed
2022-06-30 20:38 Psygore Status resolved => closed
+Issue History